Loading...
Searching...
No Matches
QueryObjects.h File Reference

Pulls in all the query types. More...

`#include <RDGeneral/export.h>`
`#include "Query.h"`
`#include "EqualityQuery.h"`
`#include "LessQuery.h"`
`#include "LessEqualQuery.h"`
`#include "GreaterQuery.h"`
`#include "GreaterEqualQuery.h"`
`#include "RangeQuery.h"`
`#include "SetQuery.h"`
`#include "AndQuery.h"`
`#include "OrQuery.h"`
`#include "XOrQuery.h"`

Go to the source code of this file.

## Namespaces

namespace | Queries

## Enumerations

enum | Queries::CompositeQueryType { Queries::COMPOSITE_AND , Queries::COMPOSITE_OR , Queries::COMPOSITE_XOR }

## Detailed Description

Pulls in all the query types.

Definition in file QueryObjects.h.